### Virtual Method

# EvinceDocument Document load_stream

since: 3.6

#### Declaration [src]

    gboolean
    load_stream (
      EvDocument* document,
      GInputStream* stream,
      EvDocumentLoadFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously loads the document from `stream`. See `ev_document_load()` for more information.

Available since: 3.6

#### Parameters

`stream`

  Type: `GInputStream`

  A `GInputStream`.

  The data is owned by the caller of the method.

`flags`

  Type: `EvDocumentLoadFlags`

  Flags from `EvDocumentLoadFlags`.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if loading succeeded, or `FALSE` on error with `error` filled in.